#ifndef _DBCONF_H_
#define _DBCONF_H_

#include <qwidget.h>

class QLabel;
class QLineEdit;

class DBConfigWidget : public QWidget
{
  Q_OBJECT
 public:
  DBConfigWidget( QWidget *parent=0, const char *name=0 );
  ~DBConfigWidget();

  QLineEdit *getHostPtr(){ return hostEdit; }
  QLineEdit *getUserPtr(){ return userEdit; }
  QLineEdit *getPassPtr(){ return passEdit; }
  QLineEdit *getDBPtr(){ return dbEdit; }

 private:
  QLineEdit * hostEdit;
  QLineEdit * userEdit;
  QLineEdit * passEdit;
  QLineEdit * dbEdit;
};

#endif // _DBCONF_H_
