#ifndef SQLTABLE_H
#define SQLTABLE_H

#include <qtablevw.h>

class SQLTable : public QTableView
{
  Q_OBJECT
 public:
  SQLTable( int numCols, int numRows, QWidget *parent=0, const char *name=0 );
  ~SQLTable();
  void setRows( int );
  void setCols( int );
  void setCell(int row, int col, const char *data );
  void clearTable();

 protected:
  void paintCell( QPainter*, int row, int col );

 private:
  int indexOf( int row, int col ) const;
  QString *contents;
  int rowNum, colNum;
};

#endif // SQLTABLE_H
