#include <qapplication.h>
#include "sqltutor.h"
#include "configmanager.h"

int main( int argc, char ** argv ) {
    QApplication mysqltutor( argc, argv );

    ConfigManager * tutConfig = new ConfigManager((QObject *)&mysqltutor);

    SQLTutorAppWindow * mainwindow = new SQLTutorAppWindow( tutConfig );
    mysqltutor.setMainWidget(mainwindow);
    mainwindow->setCaption( "MySQLTutor" );
    mainwindow->setGeometry( 100, 0, 625, 670 );
    mainwindow->show();
    mysqltutor.connect( &mysqltutor, SIGNAL(lastWindowClosed()), &mysqltutor, SLOT(quit()) );
    return mysqltutor.exec();
}
