#ifndef _STARTUPCONF_H_
#define _STARTUPCONF_H_

#include <qwidget.h>

class QLineEdit;
class QRadioButton;

class SUConfigWidget : public QWidget
{
  Q_OBJECT
 public:
  SUConfigWidget( QWidget *parent=0, const char *name=0 );
  ~SUConfigWidget();

  QRadioButton *getconYesPtr(){ return connectYes; }
  QRadioButton *getlesYesPtr(){ return lastLesYes; }
  QRadioButton *getgeoYesPtr(){ return keepGeoYes; }
  QRadioButton *getsplitYesPtr(){ return keepSplitYes; }
  QLineEdit *getDirEditPtr(){ return lessonDirEdit; }

 private:
  QRadioButton * connectYes;
  QRadioButton * connectNo;
  QRadioButton * lastLesYes;
  QRadioButton * lastLesNo;
  QRadioButton * keepGeoYes;
  QRadioButton * keepGeoNo;
  QRadioButton * keepSplitYes;
  QRadioButton * keepSplitNo;

  QLineEdit * lessonDirEdit;
};

#endif // _STARTUPCONF_H_
