/*!
  \class LessonDisplay lessondisplay.h
  \brief This widget is derived from QMultiLineEdit
  
  This widget is derived from QMultiLineEdit.  Currently it is nothing
  more than a QMultiLineEdit set to ReadOnly.  I chose to do it this way 
  in case I decide to add some features to the editor.  
  This will save time and keep the changes in one file.
*/

#include "lessondisplay.h"

/*!
  This is the constructor.  Currently it creates a QMultiLineEdit and sets
  it to ReadOnly.
*/

LessonDisplay::LessonDisplay( QWidget *parent, const char *name )
  : QMultiLineEdit( parent, name )
{
  setReadOnly( TRUE );
}

/*!
  This is the destructor.  Currently it does nothing.
*/

LessonDisplay::~LessonDisplay(){}
